Subject: RE: [rddp] WG chair on buffer exhaustion (again)

From: [email-masked]
Date: Fri, 1 Aug 2003 17:02:51 -0400

> David,
> I am trying to comprehand the 2 issues.
> 
> You stated that Mallikarjun's issue involves statistical (under-) 
> provisioning of buffers can happen without any Shared Receive queues.

Suppose the ULP allows its one peer to deliver 70 messages but only
provisions 25 local buffers.  While not all of the drafts allow this, I
would expect to see it done in practice.  

> 1. What is the definition of reliable connection based on this change?

Unchanged.  Any failure to deliver a DDP message to an application
terminates
the DDP stream.  In this case "failure" means "will not be delivered, ever".
The discussion around Mallikarjun's issue involves allowing implementations
to do things that convert what would have been a "failure" (e.g., no ULP
buffer available) to a "delay" (e.g., copy to a kernel buffer, wait for
the ULP to provide a ULP buffer) in rare circumstances.

> 2. How does UPL knows/control what is the connection behavior:
> 	connection broken(termination DDP stream) if no recv buffer is
availble vs.
> 	Send message dropped on the floor and not delivered, but DDP
connection stays?

Latter case is not possible - if the implementation drops the Send on the
floor so that the ULP never sees it, the DDP stream on which this occurred
is terminated.

> 3. How is the Stag invalidation effected (if at all) with both proposals?

No effect, it's an orthogonal issue (but one that will have to be taken up).

Thanks,
--David
----------------------------------------------------
David L. Black, Senior Technologist
EMC Corporation, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953             FAX: +1 (508) 293-7786
[email-masked]        Mobile: +1 (978) 394-7754
----------------------------------------------------

_______________________________________________
rddp mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rddp